# Generated by Django 2.2.2 on 2019-07-20 13:30

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('gestion_projets', '0004_auto_20190716_1023'),
    ]

    operations = [
        migrations.CreateModel(
            name='DateReport',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_limit', models.DateField()),
                ('session', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gestion_projets.Session')),
            ],
        ),
        migrations.CreateModel(
            name='Report',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.DateField()),
                ('is_valid', models.BooleanField(default=False)),
                ('dateReport', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gestion_projets.DateReport')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gestion_projets.Project')),
            ],
        ),
    ]
